<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class PackingListPackage  extends AbstractModel
{
    use SoftDeletes;

    protected $table = 'packing_list_packages';

    public function package(): BelongsTo
    {
        return $this->BelongsTo(Package::class, 'package_id', 'id');
    }

    public function packageList(): BelongsTo
    {
        return $this->BelongsTo(PackingList::class, 'packing_list_id', 'id');
    }
}
